### posix::descriptor_base

The `posix::descriptor_base` class is used as a base for the descriptor class as a place to define the associated IO control commands.

    class descriptor_base

##### Types

Name | Description
--- | ---
bytes_readable | IO control command to get the amount of data that can be read without blocking.
wait_type | Wait types.

##### Protected Member Functions

Name | Description
--- | ---
~descriptor_base [destructor] | Protected destructor to prevent deletion through this type.

##### Requirements

Header: `asio/posix/descriptor_base.hpp`

Convenience header: `asio.hpp`